%global mod_name instance-identity-module
%global short_name instance-identity

Name:           jenkins-instance-identity
Version:        1.4
Release:        5%{?dist}
Summary:        Jenkins identity instance

License:        MIT
URL:            https://github.com/jenkinsci/instance-identity-module
Source0:        https://github.com/jenkinsci/%{mod_name}/archive/%{short_name}-%{version}.tar.gz

Patch0:         0001-Update-bouncycastle-to-1.50.patch

BuildRequires:  maven-local
BuildRequires:  mvn(org.bouncycastle:bcpkix-jdk15on)
BuildRequires:  mvn(org.jenkins-ci.main:jenkins-core)
BuildRequires:  mvn(org.jenkins-ci.plugins:plugin:pom:)
BuildRequires:  mvn(org.jenkins-ci.tools:maven-hpi-plugin)
BuildRequires:  mvn(org.kohsuke:access-modifier-checker)

BuildArch:      noarch

%description
Maintains an RSA key pair that can serve as a foundation of authentication when
communicating with Jenkins

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{mod_name}-%{short_name}-%{version}

%patch0 -p1

%mvn_package ::{jm}:: __noinstall
#%%mvn_package : __noinstall

%build
# tests are disabled because "package org.jvnet.hudson.test does not exist"
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt
%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jun 29 2015 Michal Srb <msrb@redhat.com> - 1.4-4
- Fix NPE in BC 1.50 patch

* Thu Jun 18 2015 Michal Srb <msrb@redhat.com> - 1.4-3
- Fix FTBFS

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Feb 04 2015 Michal Srb <msrb@redhat.com> - 1.4-1
- Update to upstream version 1.4

* Mon Jun 09 2014 Michal Srb <msrb@redhat.com> - 1.3-4
- Install only JAR files

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Mar 31 2014 Michal Srb <msrb@redhat.com> - 1.3-2
- Fix ClassCastException in bouncycastle patch

* Fri Nov 08 2013 Michal Srb <msrb@redhat.com> - 1.3-1
- Initial packaging

